Ad Account Agencies
Updated: Feb 25, 2022
Copy for LLM
Ads in WhatsApp Status are available via the Marketing API. Learn more about ads in WhatsApp Status.
Reading
Agencies associated with ad accounts
Example
GET /v25.0/{ad-account-id}/agencies HTTP/1.1
Host: graph.facebook.com
Try it in Graph API Explorer
If you want to learn how to use the Graph API, read our Using Graph API guide
Parameters
This endpoint doesn't have any parameters.
Fields
Reading from this edge will return a JSON formatted result:
{
"data": [],
"paging": {}
}
data
A list of Business nodes.
The following fields will be added to each node that is returned:
| Field | Description |
|---|---|
access_requested_timedatetime |
The creation time of the access request
default |
access_statusenum |
The status of the access request
default |
access_updated_timedatetime |
The update time of the access request
default |
permitted_taskslist<string> |
The permissions of tasks associated with the access request
default |
paging
For more details about pagination, see the Graph API guide.
Error Codes
| Error Code | Description |
|---|---|
200 | Permissions error |
100 | Invalid parameter |
190 | Invalid OAuth 2.0 Access Token |
80004 | There have been too many calls to this ad-account. Wait a bit and try again. For more info, please refer to /docs/graph-api/overview/rate-limiting#ads-management. |
Creating
Updating
You can't perform this operation on this endpoint.
Deleting
/act_{ad_account_id}/agencies
You can dissociate a Business from an AdAccount by making a DELETE request to /act_{ad_account_id}/agencies.
Parameters
| Parameter | Description |
|---|---|
businessnumeric string |
SELF_EXPLANATORY
required |
Return Type
Struct {
success: bool,
}
Error Codes
| Error Code | Description |
|---|---|
100 | Invalid parameter |
200 | Permissions error |